{% extends 'base.html' %}
#TODO fo fix the endpoint loop...
{% block content %}
<br/>

{% with messages = get_flashed_messages(with_categories=True) %}
{% if messages %}
{% for cat, msg in messages %}

<div class="container">
    <div class="alert alert-warning alert-dismissible fade show" role="alert">
        <strong>{{ cat.capitalize() }}: </strong> {{ msg }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
</div>
{% endfor %}
{% endif %}
{% endwith %}

{% if records %}

<br/>
<div class="container">
    <table class="table table-striped">
        <!--        <thead>-->
        <!--        <tr>-->
        <!--            <th scope="col">#</th>-->
        <!--            <th scope="col">Service Name</th>-->
        <!--            <th scope="col">Description</th>-->
        <!--            <th scope="col">Update</th>-->
        <!--&lt;!&ndash;            <th scope="col">User Filled</th>&ndash;&gt;-->
        <!--&lt;!&ndash;            <th scope="col">User Form URL</th>&ndash;&gt;-->
        <!--&lt;!&ndash;            <th scope="col">Edit</th>&ndash;&gt;-->
        <!--        </tr>-->
        <!--        </thead>-->
        <tbody>

        <tr>
            <th scope="row">Name</th>
            <td>{{records.NAME}}</td>

        </tr>
        <tr>
            <th scope="row">Description</th>
            <td>{{records.DESC}}</td>
        </tr>
        <tr>
            <th scope="row">Server URL</th>
            <td>{{records.URL}}</td>
        </tr>
        <tr>
            <th scope="row">Authentication Check API</th>
            <td>{{records.AUTH_CHECK_API}}</td>
        </tr>
        <tr>
            <th scope="row">API SECRET</th>
            <td>{{records.API_SECRET}}</td>
        </tr>
        <tr>
            <th scope="row">End Points</th>
            <td>
                {% for ep in records.ROUTES %}
                <div class="font-weight-bold p-1 bg-warning text-dark"> Service Path:  {{ prefix }}{{ ep.servicePath }}<br/></div>
                <strong>Path: </strong> {{ ep.path }}<br/>
                <strong>Description: </strong> {{ ep.pathDesc }}<br/>
                <strong>Method: </strong>{{ ep.method }}<br/>
                <strong>Authentication required: </strong>{{ ep.authRequired }}
                <br/>
                <br/>
                {% endfor %}
            </td>
        </tr>

        </tbody>
    </table>

    <div class="row">
        <div class="col-6">
            <form method="POST" action="{{ url_for('views.update_page') }}">
                <button class="btn btn-lg btn-block btn-primary my-2 my-sm-0" type="submit" name="Edit" value="{{ records.NAME }}">Update</button>
            </form>
        </div>
        <div class="col-6">
            <form method="POST" action="{{ url_for('views.del_emp') }}">
                <button class="btn btn-lg btn-block btn-danger my-2 my-sm-0" type="submit" name="Delete" value="{{ records.NAME }}">Delete</button>
            </form>
        </div>
    </div>

</div>
<br/>

{% endif %}
{% endblock %}